Package org.apache.felix.http.base.internal.whiteboard.tracker

# Class JavaxListenersTracker

java.lang.Object
org.osgi.util.tracker.ServiceTracker<EventListener,org.osgi.framework.ServiceReference<EventListener>>
org.apache.felix.http.base.internal.whiteboard.tracker.WhiteboardServiceTracker<EventListener>
org.apache.felix.http.base.internal.whiteboard.tracker.JavaxListenersTracker

All Implemented Interfaces:
  `org.osgi.util.tracker.ServiceTrackerCustomizer<EventListener,org.osgi.framework.ServiceReference<EventListener>>`

public final class JavaxListenersTracker extends WhiteboardServiceTracker<EventListener>
Tracker for http whiteboard listeners

## Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

## Constructor Summary

Constructors
Constructor
Description
`JavaxListenersTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
Create new tracker

## Method Summary

Modifier and Type
Method
Description
`protected WhiteboardServiceInfo<EventListener>`
`getServiceInfo(org.osgi.framework.ServiceReference<EventListener> ref)`
Implemented by sub classes to create the correct whiteboard service info object.

### Methods inherited from class org.apache.felix.http.base.internal.whiteboard.tracker.WhiteboardServiceTracker

`addingService, close, modifiedService, removedService`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, open, open, remove, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaxListenersTracker

public JavaxListenersTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)
Create new tracker

Parameters:
  `context` - bundle context
  `manager` - whiteboard manager

## Method Details

### getServiceInfo

protected WhiteboardServiceInfo<EventListener> getServiceInfo(org.osgi.framework.ServiceReference<EventListener> ref)
Description copied from class: `WhiteboardServiceTracker`
Implemented by sub classes to create the correct whiteboard service info object.

Specified by:
  `getServiceInfo` in class `WhiteboardServiceTracker<EventListener>`
Parameters:
  `ref` - The service reference
Returns:
  A whiteboard service info